> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Addresses Subgraph

<Info>**Credit cost:** 10 per request + 1 per requested address.</Info>

Get all the transfers between a given list of addresses.

By default, only the transfers of [indexed tokens](/data/api/token-model#indexed-tokens) are included. Use the `context_token_key` body parameter to force the inclusion of transfers of a specific token.

<Check>
  Transfers are grouped based on the `(from_address, to_address, token_ref)`
  key. Meaning that if `A` sends some `BMT` to `B` multiple times, these
  transfers will be grouped as a unique `GROUPED_TRANSFER` relationship object.
</Check>

<Warning>
  Other types of relationships with different `data` schemas will be supported
  in the future, make sure this doesn't break your typing.
</Warning>

<Info>
  Relationships between two supernodes (addresses with high volume of transfers)
  are ignored. Rrelationships between a supernode and a non-supernode are
  included though.
</Info>


## OpenAPI

````yaml POST /v0/relationships/subgraph
openapi: 3.1.0
info:
  title: Bubblemaps Data API
  version: 0.2.2
servers:
  - url: https://api.bubblemaps.io
security: []
paths:
  /v0/relationships/subgraph:
    post:
      tags:
        - v0
      summary: Get Subgraph Relationships
      operationId: get_subgraph_relationships_v0_relationships_subgraph_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubgraphRequestV0'
              examples:
                - addresses:
                    - '0xb93b36f305464761abdbd01d7731d4ba496fb6fb'
                    - '0x55fc36e37ee5c04df5803a9a48b9134b26dd167c'
                  context_token_key:
                    chain: eth
                    address: '0x1f9840a85d5af5bf1d1762f925bdaddc4201f984'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/GroupedTransferV0'
                type: array
                title: >-
                  Response Get Subgraph Relationships V0 Relationships Subgraph
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SubgraphRequestV0:
      properties:
        addresses:
          items:
            type: string
          type: array
          maxItems: 1000
          minItems: 2
          title: Addresses
        context_token_key:
          anyOf:
            - $ref: '#/components/schemas/TokenKey'
            - type: 'null'
      type: object
      required:
        - addresses
      title: SubgraphRequestV0
    GroupedTransferV0:
      properties:
        from_address:
          type: string
          title: From Address
        to_address:
          type: string
          title: To Address
        rel_type:
          type: string
          const: GROUPED_TRANSFER
          title: Rel Type
          default: GROUPED_TRANSFER
        data:
          $ref: '#/components/schemas/GroupedTransferDataV0'
      type: object
      required:
        - from_address
        - to_address
        - data
      title: GroupedTransferV0
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TokenKey:
      properties:
        chain:
          $ref: '#/components/schemas/ChainIdV0'
        address:
          type: string
          title: Address
      type: object
      required:
        - chain
        - address
      title: TokenKey
    GroupedTransferDataV0:
      properties:
        total_value:
          type: number
          title: Total Value
        total_transfers:
          type: integer
          title: Total Transfers
        first_date:
          type: integer
          title: First Date
        last_date:
          type: integer
          title: Last Date
        token_key:
          $ref: '#/components/schemas/TokenKey'
      type: object
      required:
        - total_value
        - total_transfers
        - first_date
        - last_date
        - token_key
      title: GroupedTransferDataV0
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ChainIdV0:
      type: string
      enum:
        - eth
        - base
        - solana
        - tron
        - bsc
        - sonic
        - ton
        - avalanche
        - polygon
        - monad
        - hyperevm
        - arbitrum
        - robinhood
      title: ChainIdV0
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ApiKey

````